#!/usr/bin/python3

from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys

def initialize_webdriver():
    return webdriver.Firefox()

def navigate_to_filegarden(browser):
    browser.get("https://filegarden.com/login")

def input_email(browser, email):
    emailInput = browser.find_element(By.ID, "email")
    emailInput.send_keys(email)
    emailInput.send_keys(Keys.RETURN)

def login_with_password(browser, email, password):
    input_email(browser, email)

def main():
    with initialize_webdriver() as browser:
        navigate_to_filegarden(browser)
    # Go To Your Garden
    # Log in (email)
    # Go To Your Garden
    # Get list of filenames in File Garden
    # Get list of files in target upload directory that don't exist in File Garden (test based on filename? size? file contents?)
    # For each file in the second list, go through the file upload process

if __name__ == "__main__":
    main()
